Skip to main content
GET
/
ramp
/
quotes
Get aggregated ramp quotes
curl --request GET \
  --url https://api.chainrails.io/api/v1/ramp/quotes \
  --header 'Authorization: Bearer <token>'

Authorizations

Authorization
string
header
required

Enter your Chainrails API key as a Bearer token

Query Parameters

fiatCurrency
string
required

ISO 4217 fiat currency code

Example:

"NGN"

cryptoAmount
number
required

Amount of crypto the user wants to receive (e.g., 10 for 10 USDC)

Example:

10

destinationChain
enum<string>
required

Destination blockchain where user wants funds

Available options:
ARBITRUM_MAINNET,
ARBITRUM_TESTNET,
AVALANCHE_MAINNET,
AVALANCHE_TESTNET,
BASE_MAINNET,
BASE_TESTNET,
STARKNET_MAINNET,
STARKNET_TESTNET,
BSC_MAINNET,
ETHEREUM_MAINNET,
ETHEREUM_TESTNET,
OPTIMISM_MAINNET,
OPTIMISM_TESTNET,
MONAD_MAINNET,
MONAD_TESTNET,
POLYGON_MAINNET,
HYPEREVM_MAINNET,
LISK_MAINNET
Example:

"BASE_MAINNET"

countryCode
string

ISO 3166-1 alpha-2 country code of the user. Required for multi-country currencies (e.g., XOF — pass "BJ" for Benin, "SN" for Senegal). Falls back to the currency's default country if omitted.

Example:

"NG"

directOnly
boolean

If true, only return quotes with direct transfer channels (no widget/redirect)

Example:

false

Response

Aggregated ramp quotes